> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore archived transaction

> Restore a previously archived transaction and its associated rewards

## Endpoint

```
POST https://api.partnero.com/v1/transactions/{key}/revoke-archive
```

Restores a previously archived (soft-deleted) transaction and its associated rewards. The transaction and rewards return to their original state.

<Note>
  This endpoint is available for affiliate programs only.
</Note>

## Path parameters

| Parameter | Type   | Required | Description              |
| --------- | ------ | -------- | ------------------------ |
| `key`     | string | Yes      | Transaction's unique key |

## Request

```bash cURL theme={null}
curl --location --request POST 'https://api.partnero.com/v1/transactions/transaction_123/revoke-archive' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "status": 1
  }
  ```
</ResponseExample>

## Error responses

| Status | Error                 | Solution                                              |
| ------ | --------------------- | ----------------------------------------------------- |
| 404    | Transaction not found | Check the transaction key is correct                  |
| 400    | Action failed         | Transaction may not be archived or restoration failed |
